## grantlee-editor 18.08.3+rebuild

=== debian/changelog ===
grantlee-editor (4:18.08.3+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Jan 2021 17:56:06 +0800
