## grantlee-editor 18.12.3

=== debian/changelog ===
grantlee-editor (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:04:10 +0000
