## grantlee-editor 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.5)
-set(KDEPIM_VERSION_NUMBER "5.11.3")
+set(KDEPIM_VERSION_NUMBER "5.13.3")
 project(grantlee-editor VERSION ${KDEPIM_VERSION_NUMBER})
-
-set(KF5_MIN_VERSION "5.56.0")
+set(KDE_APPLICATIONS_VERSION "19.12.3")
+set(KF5_MIN_VERSION "5.63.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -26,27 +26,27 @@
 include(ECMQtDeclareLoggingCategory)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
+set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION} (${KDE_APPLICATIONS_VERSION})")
 
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION_LIB "5.11.3")
+set(MESSAGELIB_LIB_VERSION_LIB "5.13.3")
 
-set(AKONADI_MIMELIB_VERSION "5.11.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.11.3")
-set(KDEPIM_APPS_LIB_VERSION_LIB "5.11.3")
-set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.11.3")
-set(LIBKLEO_LIB_VERSION_LIB "5.11.3")
-set(QT_REQUIRED_VERSION "5.10.0")
-set(KIMAP_LIB_VERSION "5.11.3")
-set(PIMCOMMON_LIB_VERSION_LIB "5.11.3")
+set(AKONADI_MIMELIB_VERSION "5.13.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.13.3")
+set(KDEPIM_APPS_LIB_VERSION_LIB "5.13.3")
+set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.13.3")
+set(LIBKLEO_LIB_VERSION_LIB "5.13.3")
+set(QT_REQUIRED_VERSION "5.11.0")
+set(KIMAP_LIB_VERSION "5.13.3")
+set(PIMCOMMON_LIB_VERSION_LIB "5.13.3")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
 # Find KF5 package
@@ -74,16 +74,12 @@
 
 include_directories(${grantlee-editor_SOURCE_DIR} ${grantlee-editor_BINARY_DIR})
 
-# workaround for https://bugreports.qt.io/browse/QTBUG-74665 (bug in qt5.13 reevaluate it)
-if (${Qt5Widgets_VERSION} STRGREATER "5.13")
-   MESSAGE(STATUS "Qt version: ${Qt5Widgets_VERSION} DISABLE compile without deprecated methods. bug QTBUG-74665")
-else()
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
 endif()
-if (${KF5Config_VERSION} STRGREATER "5.56.0")
-        add_definitions(-DQT_NO_FOREACH)
-        MESSAGE(STATUS "compile without foreach")
-endif()
+
+add_definitions(-DQT_NO_FOREACH)
 
 configure_file(grantleeeditor-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)
 
@@ -92,7 +88,7 @@
 add_subdirectory(grantleethemeeditor)
 add_subdirectory(contactprintthemeeditor)
 
-install( FILES grantleeditor.renamecategories grantleeditor.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+install(FILES grantleeditor.renamecategories grantleeditor.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 add_subdirectory(doc)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
