=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Michael Meskes <meskes@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
@@ -17,48 +17,48 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:19.04.3~),
-               libkf5akonadimime-dev (>= 4:19.04.3~),
-               libkf5akonadiserver-dev (>= 4:19.04.3~),
+               libkf5akonadi-dev (>= 4:19.12.3~),
+               libkf5akonadimime-dev (>= 4:19.12.3~),
+               libkf5akonadiserver-dev (>= 4:19.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:19.04.3~),
+               libkf5contacteditor-dev (>= 4:19.12.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 19.04.3~),
+               libkf5grantleetheme-dev (>= 19.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5kaddressbookgrantlee-dev (>= 4:19.04.3~),
+               libkf5kaddressbookgrantlee-dev (>= 4:19.12.3~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:19.04.3~),
-               libkf5libkleo-dev (>= 4:19.04.3~),
-               libkf5messagecomposer-dev (>= 4:19.04.3~),
-               libkf5messagecore-dev (>= 4:19.04.3~),
-               libkf5messagelist-dev (>= 4:19.04.3~),
-               libkf5messageviewer-dev (>= 4:19.04.3~),
-               libkf5mimetreeparser-dev (>= 4:19.04.3~),
+               libkf5libkdepim-dev (>= 4:19.12.3~),
+               libkf5libkleo-dev (>= 4:19.12.3~),
+               libkf5messagecomposer-dev (>= 4:19.12.3~),
+               libkf5messagecore-dev (>= 4:19.12.3~),
+               libkf5messagelist-dev (>= 4:19.12.3~),
+               libkf5messageviewer-dev (>= 4:19.12.3~),
+               libkf5mimetreeparser-dev (>= 4:19.12.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:19.04.3~),
-               libkf5pimtextedit-dev (>= 19.04.3~),
+               libkf5pimcommon-dev (>= 4:19.12.3~),
+               libkf5pimtextedit-dev (>= 19.12.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:19.04.3~),
+               libkf5templateparser-dev (>= 4:19.12.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:19.04.3~),
+               libkf5webengineviewer-dev (>= 4:19.12.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
@@ -94,12 +94,12 @@
         kdepim-doc (<= 4:16.08.0+p16.04+git201609),
         kmail (<< 4:4.14.3),
         libkf5libkdepim5 (<= 4:16.04),
-        ${kde-l10n:all}
+        ${kde-l10n:all},
 Replaces: kaddressbook (<< 4:15),
           kdepim-doc (<= 4:16.08.0+p16.04+git201609),
           kmail (<< 4:4.14.3),
           libkf5libkdepim5 (<= 4:16.04),
-          ${kde-l10n:all}
+          ${kde-l10n:all},
 Suggests: kaddressbook, kmail
 Description: Theme Editors for KDE PIM applications
  KDE PIM Theme Editors allow you to create and edit various KDE themes for
