## grantlee-editor 20.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.5)
-set(KDEPIM_VERSION_NUMBER "5.13.3")
-project(grantlee-editor VERSION ${KDEPIM_VERSION_NUMBER})
-set(KDE_APPLICATIONS_VERSION "19.12.3")
-set(KF5_MIN_VERSION "5.63.0")
+set(PIM_VERSION "5.15.0")
+project(grantlee-editor VERSION ${PIM_VERSION})
+set(RELEASE_SERVICE_VERSION "20.08.0")
+set(KF5_MIN_VERSION "5.71.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -33,20 +33,20 @@
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION} (${KDE_APPLICATIONS_VERSION})")
+set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
+set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(MESSAGELIB_LIB_VERSION_LIB "5.13.3")
+set(MESSAGELIB_LIB_VERSION_LIB "5.15.0")
 
-set(AKONADI_MIMELIB_VERSION "5.13.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.13.3")
-set(KDEPIM_APPS_LIB_VERSION_LIB "5.13.3")
-set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.13.3")
-set(LIBKLEO_LIB_VERSION_LIB "5.13.3")
-set(QT_REQUIRED_VERSION "5.11.0")
-set(KIMAP_LIB_VERSION "5.13.3")
-set(PIMCOMMON_LIB_VERSION_LIB "5.13.3")
+set(AKONADI_MIMELIB_VERSION "5.15.0")
+set(KPIMTEXTEDIT_LIB_VERSION "5.15.0")
+set(KDEPIM_APPS_LIB_VERSION_LIB "5.15.0")
+set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.15.0")
+set(LIBKLEO_LIB_VERSION_LIB "5.15.0")
+set(QT_REQUIRED_VERSION "5.13.0")
+set(KIMAP_LIB_VERSION "5.15.0")
+set(PIMCOMMON_LIB_VERSION_LIB "5.15.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
 # Find KF5 package
@@ -74,12 +74,13 @@
 
 include_directories(${grantlee-editor_SOURCE_DIR} ${grantlee-editor_BINARY_DIR})
 
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
-endif()
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
 
 add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_NO_KEYWORDS)
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 configure_file(grantleeeditor-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)
 
@@ -88,7 +89,11 @@
 add_subdirectory(grantleethemeeditor)
 add_subdirectory(contactprintthemeeditor)
 
-install(FILES grantleeditor.renamecategories grantleeditor.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+ecm_qt_install_logging_categories(
+        EXPORT GRANTLEEEDITOR
+        FILE grantleeditor.categories
+        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+        )
 
 add_subdirectory(doc)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
